Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.gui
Class AWTConvenience

    java.lang.Object
      com.mindbright.gui.AWTConvenience

public abstract class AWTConvenience
extends java.lang.Object

Nested Class Summary
`static class` | `AWTConvenience.CloseAction`
`static class` | `AWTConvenience.CloseAdapter`
`static class` | `AWTConvenience.OKCancelAdapter`

Constructor Summary
`AWTConvenience()`

Method Summary
`static java.awt.Container` | `getContentPane(java.awt.Container cont)`
`static boolean` | `isSwingJFrame(java.awt.Frame f)`
`static java.awt.Panel` | `newButtonPanel(java.awt.Component[] b)`
`static java.awt.Choice` | `newChoice(java.lang.String[] opts)`
`static java.awt.Frame` | `newFrameWithMenuBar()`
`static void` | `placeDialog(java.awt.Container c)`
`static void` | `setBackgroundOfChildren(java.awt.Container container)`
`static void` | `setKeyListenerOfChildren(java.awt.Container container, java.awt.event.KeyListener listener, java.lang.Class typeOfChild)`
`static java.awt.Frame` | `tryToAllocateJFrame()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AWTConvenience

    public AWTConvenience()

Method Detail

### newButtonPanel

    public static java.awt.Panel newButtonPanel(java.awt.Component[] b)

### placeDialog

    public static final void placeDialog(java.awt.Container c)

### setBackgroundOfChildren

    public static final void setBackgroundOfChildren(java.awt.Container container)

### setKeyListenerOfChildren

    public static final void setKeyListenerOfChildren(java.awt.Container container,
                                                      java.awt.event.KeyListener listener,
                                                      java.lang.Class typeOfChild)

### newChoice

    public static final java.awt.Choice newChoice(java.lang.String[] opts)

### newFrameWithMenuBar

    public static final java.awt.Frame newFrameWithMenuBar()

### isSwingJFrame

    public static final boolean isSwingJFrame(java.awt.Frame f)

### tryToAllocateJFrame

    public static final java.awt.Frame tryToAllocateJFrame()

### getContentPane

    public static final java.awt.Container getContentPane(java.awt.Container cont)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD